Make top-level "configure" accept and propagate --with-curses-{includes,libraries...